<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();
session_cache_limiter('private');
$cache_limiter 	= session_cache_limiter();
session_cache_expire(60);
$cache_expire 	= session_cache_expire(); 
date_default_timezone_set('Asia/Manila'); 
$CURRENT_DATE 	= date('Y-m-d H:i:s');
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload	=	new autoloadClass();
$mecon		=	new condbClass();
$main		=	array();
$main2		=	array();
$arr3		=	array();
$main3		=	array();
$main4		=	array();
$mainId		=	(isset($_POST['mainid'])) ? $_POST['mainid'] : "";
$mecon->query("SELECT Id, Project, Model, Promo, StartDate, EndDate, Amount, Conditions, PromoStatus, PromoDetails, Status FROM promo WHERE Status = :status AND Id = :id ORDER BY Id DESC");
$mecon->bind(':status', 'active');
$mecon->bind(':id', $mainId);
$main = $mecon->resultset(); 
$counter = count($main); 
$arr1 = array();
$arr2 = array();
$arr3 = array(); 
for($a=0; $a<$counter; $a++){
	 
		$arr1['id']			= $main[$a]['Id']; 
		$arr1['project']	= trim(html_entity_decode(stripslashes($main[$a]['Project'])));
		$arr1['model']		= trim(html_entity_decode(stripslashes($main[$a]['Model'])));
		$arr1['promo']		= trim(html_entity_decode(stripslashes($main[$a]['Promo'])));
		$arr1['amount']		=  ($main[$a]['Amount']!=0) ? $main[$a]['Amount'] : $main[$a]['Amount']; 
		$arr1['start_date']	=  date('m/d/Y', strtotime($main[$a]['StartDate']));
		$arr1['end_date']	=  date('m/d/Y', strtotime($main[$a]['EndDate']));
		$arr1['conditions']	= trim(html_entity_decode(stripslashes($main[$a]['Conditions'])));
		$arr1['status']		= trim(html_entity_decode(stripslashes($main[$a]['PromoStatus'])));
		$arr1['details']	= trim(html_entity_decode(stripslashes($main[$a]['PromoDetails'])));
	 
	$arr2[] = $arr1;
} 
$arr3['data'] = $arr2;
echo json_encode($arr3); 
exit();
ob_end_flush();